aboutsummaryrefslogtreecommitdiffstats
path: root/src/scripts/ci/circle/gcc-shared-debug.sh
diff options
context:
space:
mode:
authorSimon Warta <[email protected]>2015-08-08 11:16:01 +0200
committerSimon Warta <[email protected]>2015-08-21 00:16:57 +0200
commit79b8f977d6150f8f6840c35391bda821a28376ae (patch)
tree7996f70ab36f6cdbf85ffad1100d87e4bfc049f1 /src/scripts/ci/circle/gcc-shared-debug.sh
parent929905ec8a598dccaac85097a6dc9a53a151e4f6 (diff)
Add initial cirlce config
Diffstat (limited to 'src/scripts/ci/circle/gcc-shared-debug.sh')
-rwxr-xr-xsrc/scripts/ci/circle/gcc-shared-debug.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/src/scripts/ci/circle/gcc-shared-debug.sh b/src/scripts/ci/circle/gcc-shared-debug.sh
new file mode 100755
index 000000000..93530b8ac
--- /dev/null
+++ b/src/scripts/ci/circle/gcc-shared-debug.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+set -ev
+which shellcheck > /dev/null && shellcheck "$0" # Run shellcheck on this if available
+
+BUILD_NICKNAME=$(basename "$0" .sh)
+BUILD_DIR="./build-$BUILD_NICKNAME"
+
+./configure.py --with-build-dir="$BUILD_DIR" --build-mode=debug
+make -j 2 -f "$BUILD_DIR"/Makefile
+"$BUILD_DIR"/botan-test